import java.io.Serializable;
import java.util.*;
import java.sql.*;
import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table vmodule(id int,version int,name varchar,owner varchar);");    
      Session session = HibernateUtil.currentSession();

      VersionModule mod = new VersionModule();
      mod.setId(1);
      mod.setOwner("J");
      mod.setName("M1");
      System.out.println(mod.getVersion());
      session.save(mod);
      session.flush();
      
      HibernateUtil.closeSession();



      session = HibernateUtil.currentSession();
      mod.setOwner("J2");
      session.saveOrUpdate(mod);
      session.flush();
      System.out.println(mod.getVersion());

      session.close();
      HibernateUtil.checkData("select * from vmodule");
   }
}
